
From: Andy Whitcroft <apw@shadowen.org>

Allow architectures to indicate that they will be providing hooks to indice
installed memory areas, memory_present().  Provide prototypes for the i386
implementation.

Signed-off-by: Andy Whitcroft <apw@shadowen.org>
Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Martin Bligh <mbligh@aracnet.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/Kconfig |    2 +-
 mm/Kconfig        |    4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

diff -puN arch/i386/Kconfig~generify-memory-present arch/i386/Kconfig
--- 25/arch/i386/Kconfig~generify-memory-present	Fri May  6 14:58:23 2005
+++ 25-akpm/arch/i386/Kconfig	Fri May  6 14:58:23 2005
@@ -793,7 +793,7 @@ config HAVE_ARCH_BOOTMEM_NODE
 	depends on NUMA
 	default y
 
-config HAVE_MEMORY_PRESENT
+config ARCH_HAVE_MEMORY_PRESENT
 	bool
 	depends on DISCONTIGMEM
 	default y
diff -puN mm/Kconfig~generify-memory-present mm/Kconfig
--- 25/mm/Kconfig~generify-memory-present	Fri May  6 14:58:23 2005
+++ 25-akpm/mm/Kconfig	Fri May  6 14:58:23 2005
@@ -53,3 +53,7 @@ config FLATMEM
 config NEED_MULTIPLE_NODES
 	def_bool y
 	depends on DISCONTIGMEM || NUMA
+
+config HAVE_MEMORY_PRESENT
+	def_bool y
+	depends on ARCH_HAVE_MEMORY_PRESENT
_
